import { Injectable } from "@angular/core";
import { Resolve } from "@angular/router";
import { Sys002Service } from "app/views/sys/sys002/sys002.service";
import { Observable } from "rxjs/Observable";

@Injectable()
export class Sys002Resolver implements Resolve<any> {
  constructor(private sys002Service: Sys002Service) {}

  resolve(): Observable<any> {
    return this.sys002Service.selectedUser;
  }
}
